Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.output
Interface CssHandler

All Known Implementing Classes:
  DefaultCssHandler, LocalFileCssHandler, UrlCssHandler

public interface CssHandler

Manager for the handling of CSS files. There are different ways for speciying CSS files (local file, default file from the distribution JAR, HTTP URL). A CssHandler must be implemented for each of these ways. TODO: Should be refactored into something that produces a ReportFile, which has methods getURL() and write() and can be added to report pages.

Author:
  Richard Cyganiak

Method Summary
`void` | `checkForMissingResources()` Checks if all necessary resources are available.
`void` | `createOutputFiles()` Creates any necessary output files.
`String` | `getLink()` returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"> HREF="filename.css";.

Method Detail

### getLink

    public String getLink()

  returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"> HREF="filename.css";.

  Returns:
    a link to the CSS file

### checkForMissingResources

    public void checkForMissingResources()
                                  throws ConfigurationException

  Checks if all necessary resources are available. This can be used, for example, to check if a local CSS file really exists or if a HTTP URL is valid.

  Throws:
    `ConfigurationException` - if some resource is missing.

### createOutputFiles

    public void createOutputFiles()
                           throws IOException

  Creates any necessary output files.

  Throws:
    `IOException` - if an output file can't be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD